-- CreateTable
CREATE TABLE `Sprite` (
    `id` VARCHAR(191) NOT NULL,
    `name` VARCHAR(191) NOT NULL,
    `origin_x` DECIMAL(65, 30) NOT NULL DEFAULT 0,
    `origin_y` DECIMAL(65, 30) NOT NULL DEFAULT 0,
    `frameSpeed` INTEGER NOT NULL DEFAULT 0,
    `isAnimated` BOOLEAN NOT NULL DEFAULT false,
    `isLooping` BOOLEAN NOT NULL DEFAULT false,
    `isPlayableCharacter` BOOLEAN NOT NULL DEFAULT false,
    `isEnemy` BOOLEAN NOT NULL DEFAULT false,
    `createdAt` DATETIME(3) NOT NULL DEFAULT CURRENT_TIMESTAMP(3),
    `updatedAt` DATETIME(3) NOT NULL,

    PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
